import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceDispenserDeleteService = createAsyncThunk(
  "PROVINCE_DELETE_ALLOCATED_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.delete("kill_house_free_sale_bar/0/", {
      params: {
        key: d.key,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
